# Partially updates a setting with the specified ID. This method will patch an existing setting with the specified ID, using the HTTP PATCH specification. Endpoint: PATCH /settings/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Request fields (application/json): - `op` (string, required) The operation Enum: "add", "copy", "move", "remove", "replace", "test" - `path` (string, required) The JSON path - `value` (string) ## Response 200 fields (application/json): - `cancellation_confirmation_email` (object, required) - `cancellation_confirmation_email.bcc` (string) Anyone that should be bcc'ed on the email - `cancellation_confirmation_email.body` (string, required) The email body - `cancellation_confirmation_email.cc` (string) Anyone that should be cc'ed on the email - `cancellation_confirmation_email.from` (string) From email address - `cancellation_confirmation_email.from_name` (string) From name - `cancellation_confirmation_email.reply_to` (string) The reply to - `cancellation_confirmation_email.subject` (string, required) The email subject - `contact_role_permissions` (array) The contact roles that are allowed to manage this scholarship - `contact_role_permissions.manage_coupon_codes` (boolean) This role manage coupon codes associated with the organization - `contact_role_permissions.role_id` (string) The contact role - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `default_ship_from_address` (object) A complete address - `default_ship_from_address.city` (string) The city of the address - `default_ship_from_address.country` (string) The country ISO code - `default_ship_from_address.country_name` (string) The full name of hte country - `default_ship_from_address.county` (string) The county - `default_ship_from_address.latitude` (number) - `default_ship_from_address.line1` (string) The first line of the address - `default_ship_from_address.line2` (string) The second line of the address - `default_ship_from_address.line3` (string) The third line of the address - `default_ship_from_address.longitude` (number) - `default_ship_from_address.postal_code` (string) The zip/postal code - `default_ship_from_address.state` (string) The state/province of the address - `default_ship_from_address.time_zone_id` (string) - `default_store_id` (string) The default store - `display_policies_at_checkout` (boolean) If set, policies are shown to users at checkout - `enable_cancellation_confirmation_email` (boolean) If set, you can enable the text of the confirmation email - `enable_order_confirmation_email` (boolean) If set, you can enable the text of the confirmation email - `enable_retroactive_coupons_in_portal` (boolean) If true, users can retroactively apply coupons to orders in the portal - `enable_return_confirmation_email` (boolean) If set, you can enable the text of the confirmation email - `enable_shipment_confirmation_email` (boolean) If set, you can enable the text of the shipment email - `notes` (string) The name of the settings - `order_confirmation_email` (object, required) - `policies` (object, required) - `policies.consumer_data_policy_uri` (string, required) The default consumer data policy to display to customers when checking out - `policies.refund_policy_uri` (string, required) The refund policy to display to customers when checking out - `policies.secure_checkout_policy_uri` (string, required) The default secure checkout policy to display to customers when checking out - `policies.terms_of_service_uri` (string, required) The default TOS policy to display to customers when checking out - `restrict_retroactive_coupons_by_time_period` (boolean) If true, users in the portal can only retroactively apply coupons to orders within a certain time period - `retroactive_coupon_allowed_time_period` (number, required) The maximum number of a days after an order is processed that a user can retroactively apply a coupon in the portal - `return_confirmation_email` (object, required) - `shipment_confirmation_email` (object, required) - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields